package com.testor.ddd.functionConfiguration.domain.tableNum.entity;

import com.testor.ddd.functionConfiguration.infrastructure.repository.tableNum.entity.TTableNumDO;

import java.util.List;

public interface TTableNumRepo {

    List<TTableNumDO> findList(String tableName, String fieldName);

    boolean saveTableNum(String tableName, String fieldName, Integer maxNum);

    boolean updateTableNumByEntity(TTableNumDO tableNumDO);

    /**
     * 替换 匹配的fieldName
     * @param tableName
     * @param oldFieldName
     * @param newFieldName
     */
    Integer replaceFieldName(String tableName, String oldFieldName, String newFieldName);
}
